using System;

internal sealed class Delegate801 : MulticastDelegate
{
	public extern Type Invoke(object object_0);

	public static Type smethod_0(object object_0, Delegate801 delegate801_1)
	{
		return delegate801_1(object_0);
	}

	public extern Delegate801(object object_0, IntPtr intptr_0);

	static Delegate801()
	{
		Class10.smethod_13(typeof(Delegate801).TypeHandle);
	}

	internal static Delegate801 delegate801_0;
}
